/*#优先移动端布局*/
/*通用css*/
.margin-top-30 {
    margin-top: 30px;
}

body {
    background: linear-gradient(to bottom, #DBE8FD, #F2F3F4);
}

.search-box {
    margin-top: 30px;
    left: 16px;
}

.search-box .bi.bi-search {
    font-size: 14px; /* Bootstrap Icons 使用 font-size 控制图标大小 */
}

.search-box .input-group-text {
    background-color: #FFFFFF;
    color: #999999;
}

.search-box .search {
    height: 44px;
    border-radius: 16px;
    background: #FFFFFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 100%;
    letter-spacing: 0px;

}
.search-box .form-control:focus {
    outline: none; /* 可选：移除默认 outline */
    border-color: #80bdff; /* Bootstrap 默认聚焦颜色 */
    box-shadow: 0 0 0 0.1rem rgba(0,123,255,0.25); /* Bootstrap 聚焦阴影效果 */
}

.search-box .search::placeholder {
    color: #999999; /* 修改为指定颜色 */
    opacity: 1;
}

/*快速入口*/
.icon-32 {
    width: 32px;
    height: 32px;
}
.icon-14 {
    width: 14px;
    height: 14px;
}
.fast-entry {
    border-radius: 16px;
    margin-top: 30px;
    border: none;
}

.fast-entry .icon-grid .icon-item {
    text-align: center;
    padding: 10px;
    font-family: PingFang SC;
    font-weight: 500;
    font-size: 13px;

}

.fast-entry .icon-grid .icon-item i {
    display: block;
    font-size: 32px;
    margin-bottom: 5px;
}

/*热门查询*/
.popular-query{
    margin-top: 30px;
}
.popular-query .title{
    font-family: PingFang SC;
    font-weight: 500;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0px;

}
.popular-query .card{
    border-radius: 16px;
    height: 236px;
    border: none;
}
.card img {
    height: 130px;
    object-fit: cover;
}
.card-body img {
    height: 130px;
    max-width: 130px;
}

.card-body .card-title  {
    font-family: PingFang SC;
    font-weight: 500;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0px;
    color: #222222;
}
.card-body .card-text  {
    font-family: PingFang SC;
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0px;
    color: #999999;
}

.search-results{
    display: none;
    position: absolute;
    top: 43px;
    width: 100%;
    z-index: 99999;
    max-height: 255px; overflow-y: auto;
    margin-right: auto;
    margin-left: auto;
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    -webkit-transform:translateZ(1px);
    -moz-transform:translateZ(1px);
    -o-transform:translateZ(1px);
    transform:translateZ(1px);
}